kwAllPairsDunnTest {PMCMRplus} | R Documentation

## Dunn's All-Pairs Rank Comparison Test

### Description

Performs Dunn's non-parametric all-pairs comparison test for Kruskal-type ranked data.

### Usage

    kwAllPairsDunnTest(x, ...)

    ## Default S3 method:
    kwAllPairsDunnTest(x, g, p.adjust.method = p.adjust.methods, ...)

    ## S3 method for class 'formula'
    kwAllPairsDunnTest(
      formula,
      data,
      subset,
      na.action,
      p.adjust.method = p.adjust.methods,
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`p.adjust.method` | method for adjusting p values (see `p.adjust`).
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For all-pairs comparisons in an one-factorial layout with non-normally distributed residuals Dunn's non-parametric test can be performed. A total of m = k(k-1)/2 hypotheses can be tested. The null hypothesis H_{ij}: μ_i(x) = μ_j(x) is tested in the two-tailed test against the alternative A_{ij}: μ_i(x) \ne μ_j(x), ~~ i \ne j.

The p-values are computed from the standard normal distribution using any of the p-adjustment methods as included in `p.adjust`. Originally, Dunn (1964) proposed Bonferroni's p-adjustment method.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Dunn, O. J. (1964) Multiple comparisons using rank sums, Technometrics 6, 241–252.

Siegel, S., Castellan Jr., N. J. (1988) Nonparametric Statistics for The Behavioral Sciences. New York: McGraw-Hill.

### See Also

`Normal`, `p.adjust`, `kruskalTest`, `kwAllPairsConoverTest`, `kwAllPairsNemenyiTest`

### Examples

    ## Data set InsectSprays
    ## Global test
    kruskalTest(count ~ spray, data = InsectSprays)

    ## Conover's all-pairs comparison test
    ## single-step means Tukey's p-adjustment
    ans <- kwAllPairsConoverTest(count ~ spray, data = InsectSprays,
                                 p.adjust.method = "single-step")
    summary(ans)

    ## Dunn's all-pairs comparison test
    ans <- kwAllPairsDunnTest(count ~ spray, data = InsectSprays,
                                 p.adjust.method = "bonferroni")
    summary(ans)

    ## Nemenyi's all-pairs comparison test
    ans <- kwAllPairsNemenyiTest(count ~ spray, data = InsectSprays)
    summary(ans)

[Package PMCMRplus version 1.6.1 Index]